# Pagination

A pagination component that provides navigation for paginated content.

```vue
<Pagination
    v-model="currentPage"
    :total-pages="10"
    :limit="5"
    show-first-last
    size="lg"
    align="center"
/>
```

## Props

| Prop name     | Description                                | Type    | Values                    | Default |
|--------------|--------------------------------------------|---------|---------------------------|---------|
| modelValue   | Current page number                        | number  | -                         | -       |
| totalPages   | Total number of pages                      | number  | -                         | -       |
| limit        | Number of page links to show               | number  | -                         | 5       |
| showFirstLast| Show first/last page links                 | boolean | -                         | true    |
| size         | Size of the pagination component           | string  | '', 'sm', 'lg'           | ''      |
| align        | Alignment of the pagination component      | string  | '', 'center', 'end'      | ''      |

## Events

| Name              | Description                                | Payload |
|-------------------|--------------------------------------------|---------|
| update:modelValue | Emitted when the current page changes      | number  |

## Slots

This component does not provide any slots. 